// public typealias Coords = (col: Int, row: Int)
public struct Coords: Equatable {
    var col: Int
    var row: Int
    
    public init(_ col: Int, _ row: Int) {
        self.col = col
        self.row = row
    }
    
    public init(pair: (Int, Int)) {
        self.init(pair.0, pair.1)
    }
}
