public enum Direction {
    case Top, Left, Bottom, Right
    
    var opposite: Self {
        switch self {
        case .Top:
                .Bottom
        case .Left:
                .Right
        case .Bottom:
                .Top
        case .Right:
                .Left
        }
    }
}
